# Glossary

The following abbreviations are used in Cantera, both in documentation and in
the names of variables and classes:

{.glossary}
CK
: Chemkin

{.glossary}
CSTR
: [Continuous stirred tank reactor](/examples/python/reactors/continuous_reactor)

{.glossary}
CT
: Cantera

{.glossary}
CTI
: Cantera Input *(Removed in Cantera 3.0)*

{.glossary}
CTML
: Cantera Markup Language *(Removed in Cantera 3.0)*

{.glossary}
DAE
: Differential algebraic equation

{.glossary}
EOS / EoS
: Equation of state

{.glossary}
HKFT
: Helgeson-Kirkham-Flowers-Tanger

{.glossary}
HMW
: Harvie, Møller, and Weare

{.glossary}
IAPWS
: International Association for the Properties of Water and Steam

{.glossary}
IDT
: Ignition delay time

{.glossary}
MFTP
: Mixture Fugacity ThermoPhase

{.glossary}
NTC
: Negative temperature coefficient

{.glossary}
ODE
: Ordinary differential equation

{.glossary}
PDSS
: Pressure-dependent standard state

{.glossary}
PFR
: [Plug flow reactor](./reactors/pfr)

{.glossary}
PSR
: [Perfectly stirred reactor](/examples/python/reactors/continuous_reactor)

{.glossary}
RT
: Product of the universal gas constant (R) and the temperature

{.glossary}
SHE
: Single half-electrode

{.glossary}
SP
: Surface Problem

{.glossary}
SS
: Standard state

{.glossary}
SSTP
: SingleSpeciesTP (ThermoPhase)

{.glossary}
STIT
: SpeciesThermoInterpType

{.glossary}
VCS
: Villars Cruise Smith

{.glossary}
VPSS
: Variable Pressure Standard State

{.glossary}
VPSSTP
: Variable Pressure Standard State ThermoPhase

{.glossary}
wrt
: with respect to

{.glossary}
WSR
: [Well-stirred reactor](/examples/python/reactors/continuous_reactor)
